import request, { postBlob } from '@/utils/request'

export function getLoginHomeDecorationList(params) {
  return request({
    url: `/trade/login/order/home/list?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}
export function exportLoginHomeDecoration(data, name) {
  return postBlob({
    url: '/trade/login/order/home/list/export',
    data,
    name
  })
}

export function addLoginHomeDecoration(params) {
  return request({
    url: `/trade/login/order/home-add`,
    method: 'post',
    data: params
  })
}

export function editLoginHomeDecoration(params) {
  return request({
    url: `/trade/login/order/home-edit`,
    method: 'post',
    data: params
  })
}

export function examineLoginHomeDecoration(params) {
  return request({
    url: `/trade/login/order/home-examine`,
    method: 'post',
    data: params
  })
}

export function submitLoginHomeDecoration(params) {
  return request({
    url: `/trade/login/order/home-submit`,
    method: 'post',
    data: params
  })
}
